Subject: [bug#70693] [PATCH v2] gnu: nss/fixed: Tweak performance test.

From: Christopher Baines <[email-masked]>
Date: Tue, 07 May 2024 20:53:35 +0100

Ludovic Courtès <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> skribis:
>
>> Christopher Baines <[email-masked]> writes:
>>
>>> As I'm seeing this test fail with results of 5 to 7 seconds.
>>>
>>> * gnu/packages/nss.scm (nss/fixed)[arguments]: Tweak a test to have a higher
>>> time threshold.
>>>
>>> Change-Id: Icb0551cd986acf67b2ba17dc8772a67b9747d31a
>>
>> Reviewed-by: Maxim Cournoyer <maxim.cournoyer@gmail>
>
> +1!
>
> Not immediately related but Christina submitted patches to make nss
> reproducible and to upgrade it that we should look into while we’re at
> it:
>
>   https://issues.guix.gnu.org/40316

I haven't got around to looking at that, but the data service failed to
process the v1 patch, the job timed out after 72 hours.

I don't think that necessarily means that patch hasn't worked, it's just
that we needed to build nss (because grafts, see #61363) to compute the
guix derivation for each system. As Ludo pointed out to me on IRC
though, that can probably be avoided so I've sent a v2 series that
includes a couple of patches to remove the link between guix and nss via
packages needed for the po4a tests.

Lets see if this gets further and we hopefully see how nss builds on
different systems.